- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities/generatetag#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities/generatetag#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities/generatetag#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities/generatetag#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities/generatetag#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities/generatetag#body.FloodlightActivitiesGenerateTagResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities/generatetag#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities/generatetag#try-it)

Generates a tag for a floodlight activity.

### HTTP request

`POST https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/floodlightActivities/generatetag`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `floodlightActivityId` | `string (https://developers.google.com/discovery/v1/type-format format)` Floodlight activity ID for which we want to generate a tag. |

### Request body

The request body contains an instance of `https://protobuf.dev/reference/protobuf/google.protobuf#empty`.

### Response body

Floodlight Activity GenerateTag Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "floodlightActivityTag": string, "globalSiteTagGlobalSnippet": string, "kind": string } ``` |

| Fields ||
|---|---|
| `floodlightActivityTag` | `string` Generated tag for this Floodlight activity. For Google tags, this is the event snippet. |
| `globalSiteTagGlobalSnippet` | `string` The global snippet section of a Google tag. The Google tag sets new cookies on your domain, which will store a unique identifier for a user or the ad click that brought the user to your site. [Learn more](https://support.google.com/dcm/answer/7554821). |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#floodlightActivitiesGenerateTagResponse"`. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`